#include <iostream>
#include <vector>
using namespace std;
int main()
{
    int n, k;
    cin >> n >> k;
    int N [k];
    for (int i = 0; i < k; i++)
        cin >> N[i];
    for (int i = 0; i < k; i++)
    {
        int Xor = 0;
        if (N[i] == 1) cout << 1 << " ";
        else
        {
            for (int j = 0; j < k; j++)
                if (N[i]%N[j] == 0) Xor = Xor^N[j];
            cout << Xor << " ";
        }
    }
    return 0;
}